#
# spec file for package scim-anthy (Version 0.2.0)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  anthy anthy-devel gpp gtk2-devel-packages libgpp pkgconfig scim scim-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs anthy anthy-devel atk atk-devel autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libstdc++-devel libtool pango pango-devel perl pkgconfig rpm scim scim-devel update-desktop-files

Name:         scim-anthy
Version:      0.2.0
Release:      2.1
License:      LGPL
Group:        System/I18n/Japanese
Autoreqprov:  on
Url:          http://sourceforge.jp/projects/scim-imengine/
Source0:      http://osdn.dl.sourceforge.jp/scim-imengine/12375/scim-anthy-0.2.0.tar.bz2
Patch0:       commit-when-focus-out.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Anthy Input Method Engine for SCIM

%description
Anthy Input Method Engine for SCIM



Authors:
--------
    Hiroyuki Ikezoe <poincare@ikezoe.net>
    Takuro Ashie <ashie@homa.ne.jp>

%prep
%define build_setup     1
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
libtoolize --force
autoreconf -I /opt/gnome/share/aclocal --force --install --verbose
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static \
	    --enable-debug
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/anthy.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/SetupUI/anthy-imengine-setup.{a,la}
%find_lang scim-anthy

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files -f scim-anthy.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/anthy.so
%if %{build_setup}
%dir %{_libdir}/scim-1.0/SetupUI/
%{_libdir}/scim-1.0/SetupUI/anthy-imengine-setup.so
%endif
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/scim-anthy.png

%changelog -n scim-anthy
* Mon Dec 13 2004 - mfabian@suse.de
- Bugzilla #47019: apply patch provided by Zhe Su <zsu@novell.com>
  to commit the preedit string when switching of the input method
  and when moving the focus to a different window.
* Thu Dec 09 2004 - mfabian@suse.de
- new package: scim-anthy, version 0.2.0.
